Bug 377691 - windows are not unminimized at all when "restore to current workspace" is selected
Summary: windows are not unminimized at all when "restore to current workspace" is sel...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 484842 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-12 13:15 UTC by Dams
Modified: 2013-02-14 02:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:36:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 571588 None None None Never
GNOME Bugzilla 586852 None None None Never

Description Dams 2007-11-12 13:15:11 UTC
Description of problem:
Minimized windows are not un-minimized when the window list preferences say:
"restore windows on current workspace".

I'm running fedora 8, with gnome-panel(0:2.20.1-1.fc8).x86_64 and
metacity(0:2.20.0-3.fc8).x86_64.

It's 100% reproducible here (all windows, all workspaces).

Steps to Reproduce:
1. "restore windows on current workspace" in window list preferences.
2. Minimize a window on your current workspace
3. Switch workspace
4. Click the window you've just minimized entry *in the window list*

Actual results: the window entry in the window list blinks in blue to notify us
a window has appeared, but there's no window. The window is not un-minimized.

Expected results: Un-minized window on current workspace

Additional info: go back to the original workspace of the minized window, then
either unminize it from the window list, or press alt-tab to switch between
windows and select the one you've just minimized, it will work.

Comment 1 Dams 2008-05-13 21:49:37 UTC
Problem was fixed in Fedora 8, and is now back again in fedora 9 with
metacity(0:2.22.0-3.fc9).x86_64 and gnome-panel(0:2.22.1.2-6.fc9).x86_64


Comment 2 Bug Zapper 2009-06-09 23:10:25 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Dams 2009-06-13 13:10:29 UTC
Problem is still in fedora 10 and fedora 11.

Comment 4 Christopher Beland 2010-01-06 02:02:07 UTC
I am able to reproduce in Fedora 12 as well, specifically gnome-panel-2.28.0-16.fc12.i686 and metacity-2.28.0-14.fc12.i686.

Comment 5 Christopher Beland 2010-01-06 02:02:19 UTC
*** Bug 484842 has been marked as a duplicate of this bug. ***

Comment 6 Dams 2010-07-12 16:17:02 UTC
Definitely still present on fedora 13

Comment 7 Bug Zapper 2011-06-02 18:37:07 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Dams 2011-06-05 12:34:43 UTC
A shame that this bug is still present gnome 3 on fedora 15.

Comment 9 oznik 2012-04-02 12:54:59 UTC
I seem to meet the same issue on fedora 16.

Some apps start minimized and cannot restore. I can see them with Alt + Tab, and selecting them gives them focus (the icon + name appears in the top bar, next to the activities button), but that's as far as it goes...

Comment 10 Fedora End Of Life 2013-01-17 01:02:38 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Fedora End Of Life 2013-02-14 02:36:21 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.